diff options
author | robertl <robertl@138bc75d-0d04-0410-961f-82ee72b054a4> | 1999-02-04 08:07:51 +0000 |
---|---|---|
committer | robertl <robertl@138bc75d-0d04-0410-961f-82ee72b054a4> | 1999-02-04 08:07:51 +0000 |
commit | 55b5aaf3147be342c26c3c9ce27f27cb2fe2c720 (patch) | |
tree | f8c2bf80c6c62c02a20d276d933824abfcc8fcdf /contrib | |
parent | fd2c68dc8f70444b08cab14fe2741d4975b83ba1 (diff) | |
download | gcc-55b5aaf3147be342c26c3c9ce27f27cb2fe2c720.tar.gz |
* egcs_update: Test return values of 'cvs update'. Propogate
to caller as exit values.
git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@25021 138bc75d-0d04-0410-961f-82ee72b054a4
Diffstat (limited to 'contrib')
-rw-r--r-- | contrib/ChangeLog | 5 | ||||
-rwxr-xr-x | contrib/egcs_update | 8 |
2 files changed, 13 insertions, 0 deletions
diff --git a/contrib/ChangeLog b/contrib/ChangeLog index e5decf46872..63d2130abeb 100644 --- a/contrib/ChangeLog +++ b/contrib/ChangeLog @@ -1,3 +1,8 @@ +1999-02-04 Robert Lipe <robertlipe@usa.net> + + * egcs_update: Test return values of 'cvs update'. Propogate + to caller as exit values. + 1999-01-25 Gerald Pfeifer <pfeifer@dbai.tuwien.ac.at> * egcs_update: Use "if" instead of "&&". Touch generated files diff --git a/contrib/egcs_update b/contrib/egcs_update index 7a0f69e01f1..6882b234b60 100755 --- a/contrib/egcs_update +++ b/contrib/egcs_update @@ -58,10 +58,18 @@ do fi done` cvs -q update $X +if [ $? -ne 0 ]; then + echo "CVS update of generated files failed." >&2 + exit 1 +fi echo "Pass 2: Updating full tree" cvs -q update ${1+"$@"} +if [ $? -ne 0 ]; then + echo "CVS update of full tree failed." >&2 + exit 1 +fi echo "Pass 3: Fixing local tree" # Please also update the FAQ accordingly if you change the list of |